# MSP::CCS::EllipsoidLibraryImplementation Class Reference

`#include <EllipsoidLibraryImplementation.h>`

List of all members.

## Public Member Functions

| ~EllipsoidLibraryImplementation (void)
void | defineEllipsoid (const char *code, const char *name, double semiMajorAxis, double flattening)
void | removeEllipsoid (const char *Code)
void | ellipsoidCount (long *count)
void | ellipsoidIndex (const char *code, long *index)
void | ellipsoidCode (const long index, char *code)
void | ellipsoidName (const long index, char *name)
void | ellipsoidParameters (const long index, double *a, double *f)
void | ellipsoidEccentricity2 (const long index, double *eccentricitySquared)
void | ellipsoidUserDefined (const long index, long *result)
void | setDatumLibraryImplementation (DatumLibraryImplementation *__datumLibraryImplementation)

## Static Public Member Functions

static EllipsoidLibraryImplementation * | getInstance ()
static void | removeInstance ()

## Protected Member Functions

| EllipsoidLibraryImplementation ()
| EllipsoidLibraryImplementation (const EllipsoidLibraryImplementation &e)
EllipsoidLibraryImplementation & | operator= (const EllipsoidLibraryImplementation &e)

## Friends

class | EllipsoidLibraryImplementationCleaner

## Detailed Description

Definition at line 113 of file EllipsoidLibraryImplementation.h.

## Constructor & Destructor Documentation

EllipsoidLibraryImplementation::~EllipsoidLibraryImplementation | ( | void |  | ) |

Definition at line 245 of file EllipsoidLibraryImplementation.cpp.

EllipsoidLibraryImplementation::EllipsoidLibraryImplementation | ( |  | ) | `[protected]`

Definition at line 214 of file EllipsoidLibraryImplementation.cpp.

EllipsoidLibraryImplementation::EllipsoidLibraryImplementation | ( | const EllipsoidLibraryImplementation & | e | ) | `[protected]`

Definition at line 235 of file EllipsoidLibraryImplementation.cpp.

## Member Function Documentation

void EllipsoidLibraryImplementation::defineEllipsoid | ( | const char * | code,
|  | const char * | name,
|  | double | semiMajorAxis,
|  | double | flattening |
| ) |  |  |

Definition at line 274 of file EllipsoidLibraryImplementation.cpp.

void EllipsoidLibraryImplementation::ellipsoidCode | ( | const long | index,
|  | char * | code |
| ) |  |  |

Definition at line 521 of file EllipsoidLibraryImplementation.cpp.

void EllipsoidLibraryImplementation::ellipsoidCount | ( | long * | count | ) |

Definition at line 463 of file EllipsoidLibraryImplementation.cpp.

void EllipsoidLibraryImplementation::ellipsoidEccentricity2 | ( | const long | index,
|  | double * | eccentricitySquared |
| ) |  |  |

Definition at line 591 of file EllipsoidLibraryImplementation.cpp.

void EllipsoidLibraryImplementation::ellipsoidIndex | ( | const char * | code,
|  | long * | index |
| ) |  |  |

Definition at line 478 of file EllipsoidLibraryImplementation.cpp.

void EllipsoidLibraryImplementation::ellipsoidName | ( | const long | index,
|  | char * | name |
| ) |  |  |

Definition at line 542 of file EllipsoidLibraryImplementation.cpp.

void EllipsoidLibraryImplementation::ellipsoidParameters | ( | const long | index,
|  | double * | a,
|  | double * | f |
| ) |  |  |

Definition at line 564 of file EllipsoidLibraryImplementation.cpp.

void EllipsoidLibraryImplementation::ellipsoidUserDefined | ( | const long | index,
|  | long * | result |
| ) |  |  |

Definition at line 612 of file EllipsoidLibraryImplementation.cpp.

EllipsoidLibraryImplementation * EllipsoidLibraryImplementation::getInstance | ( |  | ) | `[static]`

Definition at line 174 of file EllipsoidLibraryImplementation.cpp.

EllipsoidLibraryImplementation & EllipsoidLibraryImplementation::operator= | ( | const EllipsoidLibraryImplementation & | e | ) | `[protected]`

Definition at line 259 of file EllipsoidLibraryImplementation.cpp.

void EllipsoidLibraryImplementation::removeEllipsoid | ( | const char * | Code | ) |

Definition at line 375 of file EllipsoidLibraryImplementation.cpp.

void EllipsoidLibraryImplementation::removeInstance | ( |  | ) | `[static]`

Definition at line 186 of file EllipsoidLibraryImplementation.cpp.

void EllipsoidLibraryImplementation::setDatumLibraryImplementation | ( | DatumLibraryImplementation * | __datumLibraryImplementation | ) |

Definition at line 634 of file EllipsoidLibraryImplementation.cpp.

## Friends And Related Function Documentation

friend class EllipsoidLibraryImplementationCleaner `[friend]`

Definition at line 115 of file EllipsoidLibraryImplementation.h.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/ellipse/EllipsoidLibraryImplementation.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/ellipse/EllipsoidLibraryImplementation.cpp